/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_DBEnum.java,v 1.2 2002/08/02 15:39:14 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_ENUM type.
 *
 * @author      Eric Boucher
 */
public class DBR_DBEnum implements DBR {
  protected int     m_count= 0;
  protected short[] m_value= null;

  public DBR_DBEnum() {
    this(new short[1]);
  }
  
  public DBR_DBEnum(int count) {
    this(new short[count]);
  }

  public DBR_DBEnum(DBData val) {
    m_count= 1;
    m_value= new short[1];
    m_value[0]= val.shortValue();
  }

  public DBR_DBEnum(short[] val) {
    m_count= val.length;
    m_value= val;
  }

  public int type() {
    return DBR.ENUM;
  }
  
  public int count() {
    return m_count;
  }

  public DBData dataAt(int at) {
    return new DBEnum(m_value[at]);
  }

  public short valueAt(int at) {
    return m_value[at];
  }

  public short[] value() {
    return m_value;
  }
}
