/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_DBFloat.java,v 1.2 2002/08/02 15:39:14 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_FLOAT type.
 *
 * @author      Eric Boucher
 */
public class DBR_DBFloat implements DBR {
  protected int     m_count= 0;
  protected float[] m_value= null;

  public DBR_DBFloat() {
    this(new float[1]);
  }
  
  public DBR_DBFloat(int count) {
    this(new float[count]);
  }

  public DBR_DBFloat(DBData val) {
    m_count= 1;
    m_value= new float[1];
    m_value[0]= val.floatValue();
  }

  public DBR_DBFloat(float[] val) {
    m_count= val.length;
    m_value= val;
  }

  public int type() {
    return DBR.FLOAT;
  }
  
  public int count() {
    return m_count;
  }

  public DBData dataAt(int at) {
    return new DBFloat(m_value[at]);
  }

  public float valueAt(int at) {
    return m_value[at];
  }

  public float[] value() {
    return m_value;
  }
}
