/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_GR_DBByte.java,v 1.2 2002/08/02 15:39:15 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_GR_CHAR type.
 *
 */
public class DBR_GR_DBByte extends DBR_STS_DBByte implements DBR_GR {
  protected String m_units;
  protected byte   m_upper_disp_limit;
  protected byte   m_lower_disp_limit;
  protected byte   m_upper_alarm_limit;
  protected byte   m_upper_warning_limit;
  protected byte   m_lower_warning_limit;
  protected byte   m_lower_alarm_limit;

  public DBR_GR_DBByte() {
    super(1);
  }
  
  public DBR_GR_DBByte(int count) {
    super(count);
  }

  public int type() {
    return DBR.GR_BYTE;
  }

  public String units() {
    return m_units;
  }

  public DBData upperDispLimit() {
    return new DBByte(m_upper_disp_limit);
  }

  public DBData lowerDispLimit() {
    return new DBByte(m_lower_disp_limit);
  }

  public DBData upperAlarmLimit() {
    return new DBByte(m_upper_alarm_limit);
  }

  public DBData upperWarningLimit() {
    return new DBByte(m_upper_warning_limit);
  }

  public DBData lowerWarningLimit() {
    return new DBByte(m_lower_warning_limit);
  }

  public DBData lowerAlarmLimit() {
    return new DBByte(m_lower_alarm_limit);
  }
  
  protected void setInfo(short status, short severity,
                      String units,
                      byte upper_disp_limit,
                      byte lower_disp_limit,
                      byte upper_alarm_limit,
                      byte upper_warning_limit,
                      byte lower_warning_limit,
                      byte lower_alarm_limit) {
    super.setInfo(status,severity);
    m_units= units;
    m_upper_disp_limit   = upper_disp_limit;
    m_lower_disp_limit   = lower_disp_limit;
    m_upper_alarm_limit  = upper_alarm_limit;
    m_upper_warning_limit= upper_warning_limit;
    m_lower_warning_limit= lower_warning_limit;
    m_lower_alarm_limit  = lower_alarm_limit;
  };                      
}
