/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_GR_DBInt.java,v 1.2 2002/08/02 15:39:15 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_GR_LONG type.
 *
 */
public class DBR_GR_DBInt extends DBR_STS_DBInt implements DBR_GR {
  protected String m_units;
  protected int   m_upper_disp_limit;
  protected int   m_lower_disp_limit;
  protected int   m_upper_alarm_limit;
  protected int   m_upper_warning_limit;
  protected int   m_lower_warning_limit;
  protected int   m_lower_alarm_limit;

  public DBR_GR_DBInt() {
    super(1);
  }
  
  public DBR_GR_DBInt(int count) {
    super(count);
  }

  public int type() {
    return DBR.GR_INT;
  }

  public String units() {
    return m_units;
  }

  public DBData upperDispLimit() {
    return new DBInt(m_upper_disp_limit);
  }

  public DBData lowerDispLimit() {
    return new DBInt(m_lower_disp_limit);
  }

  public DBData upperAlarmLimit() {
    return new DBInt(m_upper_alarm_limit);
  }

  public DBData upperWarningLimit() {
    return new DBInt(m_upper_warning_limit);
  }

  public DBData lowerWarningLimit() {
    return new DBInt(m_lower_warning_limit);
  }

  public DBData lowerAlarmLimit() {
    return new DBInt(m_lower_alarm_limit);
  }
  
  protected void setInfo(short status, short severity,
                      String units,
                      int upper_disp_limit,
                      int lower_disp_limit,
                      int upper_alarm_limit,
                      int upper_warning_limit,
                      int lower_warning_limit,
                      int lower_alarm_limit) {
    super.setInfo(status,severity);
    m_units= units;
    m_upper_disp_limit   = upper_disp_limit;
    m_lower_disp_limit   = lower_disp_limit;
    m_upper_alarm_limit  = upper_alarm_limit;
    m_upper_warning_limit= upper_warning_limit;
    m_lower_warning_limit= lower_warning_limit;
    m_lower_alarm_limit  = lower_alarm_limit;
  };                      
}
